## ocaml-zarith 1.4.1

=== Makefile ===
# generated by ./configure

CC=gcc
OCAMLC=ocamlc
OCAMLOPT=ocamlopt
OCAMLDEP=ocamldep
OCAMLMKLIB=ocamlmklib
OCAMLDOC=ocamldoc
OCAMLFLAGS=
OCAMLOPTFLAGS=
OCAMLINC=
CFLAGS=-I/home/mine/.opam/4.02.1/lib/ocaml  -DZ_OCAML_HASH -DZ_OCAML_COMPARE_EXT -DHAS_GMP -DZ_ELF -DZ_DOT_LABEL_PREFIX  -O3 -Wall -Wextra -I/home/mine/include -I/usr/local/include
ASFLAGS=-DZ_OCAML_HASH -DZ_OCAML_COMPARE_EXT -DHAS_GMP -DZ_ELF -DZ_DOT_LABEL_PREFIX  
LIBS=-L/home/mine/lib -L/usr/local/lib -lgmp
ARCH=x86_64
INSTALLDIR=/home/mine/.opam/4.02.1/lib
AR=ar
INSTALL=install
OCAMLFIND=ocamlfind
INSTMETH=findlib
OBJSUFFIX=o
HASOCAMLOPT=yes
HASDYNLINK=yes

include project.mak

=== tests/Makefile ===
WORDSIZE=`echo 'print_int Sys.word_size' | ocaml -stdin`

test:: zq.exe
	@echo "Testing zq (native)..."
	@if ./zq.exe | cmp -s zq.output$(WORDSIZE) - ; then echo "zq: passed"; else echo "zq: FAILED"; exit 2; fi

test:: zq.byt
	@echo "Testing zq (bytecode)..."
	@if ocamlrun -I .. ./zq.byt | cmp -s zq.output$(WORDSIZE) - ; then echo "zq: passed"; else echo "zq: FAILED"; exit 2; fi

test:: bi.exe
	@echo "Testing bi..."
	@if ./bi.exe; then echo "bi: passed"; else echo "bi: FAILED"; exit 2; fi

test:: pi.exe
	@echo "Testing pi..."
	@if ./pi.exe 500 | cmp -s pi.output - ; then echo "pi: passed"; else echo "pi: FAILED"; exit 2; fi

test:: tofloat.exe
	@echo "Testing tofloat..."
	@./tofloat.exe

test:: ofstring.exe
	@echo "Testing ofstring..."
	@./ofstring.exe

bench:: fib.exe
	@for k in int natint Z bigint num; do echo "Benchmarking fib $$k"; time ./fib.exe $$k 45 > /dev/null; done

bench:: fact.exe
	@echo "Benchmarking fact 10"; time ./fact.exe 10 100000000 > /dev/null
	@echo "Benchmarking fact 40"; time ./fact.exe 40 10000000 > /dev/null
	@echo "Benchmarking fact 200"; time ./fact.exe 200 1000000 > /dev/null

bench:: tak.exe
	@for k in int natint Z bigint num; do echo "Benchmarking tak $$k"; time ./tak.exe $$k 5000 > /dev/null; done

bench:: pi.exe
	@echo "Benchmarking pi"; time ./pi.exe 10000 > /dev/null

tofloat.exe: tofloat.ml setround.o ../zarith.cmxa
	ocamlopt -I .. -ccopt "-L.." zarith.cmxa nums.cmxa -o tofloat.exe \
           setround.o tofloat.ml

%.exe: %.ml ../zarith.cmxa
	ocamlopt -I .. -ccopt "-L.." zarith.cmxa nums.cmxa -o $*.exe $*.ml
%.byt: %.ml ../zarith.cma
	ocamlc -I .. -ccopt "-L.." zarith.cma nums.cma -o $*.byt $*.ml
%.o: %.c
	ocamlc -c $*.c

clean:
	rm -f *.cm[iox] *.o *.exe *.byt

## ocaml-zarith 1.0

=== debian/changelog ===
ocaml-zarith (1.0-5build2) precise; urgency=low

  * Rebuild with ocamlopt on armhf.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 24 Jan 2012 10:50:27 +0000

ocaml-zarith (1.0-5build1) precise; urgency=low

  * Rebuild for OCaml 3.12.1.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 19 Nov 2011 00:57:12 +0000

ocaml-zarith (1.0-5) unstable; urgency=low

  * Fix FTBFS on sparc
    - Add 0006-Use-memcpy-instead-of-cast-ing.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 04 Nov 2011 14:41:46 +0100

ocaml-zarith (1.0-4) unstable; urgency=low

  * Release to unstable.
  * Remove 0002-Fix-install-target.patch and adapt debian/rules instead.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 19 Oct 2011 18:06:17 +0200

ocaml-zarith (1.0-3) experimental; urgency=low

  * Do not try to build zarith.a on bytecode only architectures.
    - Update 0003-Make-it-byte-arch-aware.patch
  * Set CAML_LD_LIBRARY_PATH to $(CURDIR) before running test.b on
    bytecode only architectures.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 05 Oct 2011 14:25:39 +0200

ocaml-zarith (1.0-2) experimental; urgency=low

  * Make ocamlopt's presence optional. This should prevent build failures
    on bytecode only architectures.
    - Add 0005-ocamlopt-is-not-really-required.patch
  * kfreebsd-amd64 and kfreebsd-i386 are also (resp.) amd64 and i386. Add
    some arch-triplets in configure script.
    - Add 0006-Detect-more-arch-triplets.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 05 Oct 2011 09:03:52 +0200

ocaml-zarith (1.0-1) experimental; urgency=low

  * Initial release. (Closes: #643736)

 -- Mehdi Dogguy <mehdi@debian.org>  Thu, 29 Sep 2011 07:54:35 +0200

=== debian/control ===
Source: ocaml-zarith
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Mehdi Dogguy <mehdi@debian.org>
Build-Depends:
  debhelper (>= 8),
  ocaml-nox (>= 3.12),
  dh-ocaml (>= 0.9.1),
  libgmp3-dev,
  ocaml-findlib
Standards-Version: 3.9.2
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-zarith.git
Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-zarith.git
Homepage: https://forge.ocamlcore.org/projects/zarith/

Package: libzarith-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Suggests: ocaml-findlib
Description: arithmetic and logical operations over arbitrary-precision integers (dev)
 The Zarith library implements arithmetic and logical operations over
 arbitrary-precision integers. It uses GMP to efficiently implement
 arithmetic over big integers. Small integers are represented as Caml
 unboxed integers, for speed and space economy.
 .
 This package provides the static library, OCaml library and interface
 for developing applications to use libzarith-ocaml.

Package: libzarith-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: arithmetic and logical operations over arbitrary-precision integers (runtime)
 The Zarith library implements arithmetic and logical operations over
 arbitrary-precision integers. It uses GMP to efficiently implement
 arithmetic over big integers. Small integers are represented as Caml
 unboxed integers, for speed and space economy.
 .
 This package provides the shared library for running applications linked
 against libzarith-ocaml.

Package: libzarith-ocaml-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libzarith-ocaml-dev
Description: arithmetic and logical operations over arbitrary-precision integers (doc)
 The Zarith library implements arithmetic and logical operations over
 arbitrary-precision integers. It uses GMP to efficiently implement
 arithmetic over big integers. Small integers are represented as Caml
 unboxed integers, for speed and space economy.
 .
 This package provides the ocamldoc generated html files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/ocaml/ocamlvars.mk

Z_INSTALL_DIR=$(CURDIR)/debian/tmp$(OCAML_STDLIB_DIR)

override_dh_auto_install:
ifneq (,$(findstring libzarith-ocaml-doc,$(shell dh_listpackages)))
	$(MAKE) doc
endif
	mkdir -p $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)/stublibs
	$(MAKE) install

override_dh_auto_test:
ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
	./test
else
	CAML_LD_LIBRARY_PATH=$(CURDIR) ./test.b
endif

override_dh_auto_configure:
	./configure --installdir $(Z_INSTALL_DIR) \
                    --host $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ --with ocaml

## ocaml-zarith 1.1

=== debian/changelog ===
ocaml-zarith (1.1-2) unstable; urgency=low

  * Fix "make test" call: it should be "test" on native architectures
    and "test.b" on bytecode architectures.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 15 May 2012 13:57:32 +0200

ocaml-zarith (1.1-1) unstable; urgency=low

  * New upstream release
    - Remove Debian patches (integrated by upstream).
    - ocamldoc is called with "-charset" command-line flag, which
      comes with OCaml 3.12.1. Update Build-Depends accordingly.
  * Bump Standards-Version to 3.9.3 (no changes needed).
  * Call "make test" before executing the test file.

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 15 May 2012 13:39:48 +0200

ocaml-zarith (1.0-6) unstable; urgency=low

  * Don't run test-suite if DEB_BUILD_OPTIONS contains "nocheck".
  * Add patch from upstream's repository:
    - 0007-Fixed-1-bit-precision-loss-when-converting-doubles-t.patch

 -- Mehdi Dogguy <mehdi@debian.org>  Sat, 24 Mar 2012 10:22:26 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
   debhelper (>= 8),
-  ocaml-nox (>= 3.12),
+  ocaml-nox (>= 3.12.1),
   dh-ocaml (>= 0.9.1),
   libgmp3-dev,
   ocaml-findlib
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-zarith.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-zarith.git
 Homepage: https://forge.ocamlcore.org/projects/zarith/

=== debian/rules ===
--- 
+++ 
@@ -12,10 +12,14 @@
 	$(MAKE) install
 
 override_dh_auto_test:
+ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
+	$(MAKE) test
 	./test
 else
+	$(MAKE) test.b
 	CAML_LD_LIBRARY_PATH=$(CURDIR) ./test.b
+endif
 endif
 
 override_dh_auto_configure:

## ocaml-zarith 1.2.1

=== debian/changelog ===
ocaml-zarith (1.2.1-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:18:00 +0000

ocaml-zarith (1.2.1-2) unstable; urgency=low

  * Upstream provided test "test.b" has been renamed to "testb". Update
    debian/rules accordingly to fix FTBFS on bytecode architectures.

 -- Mehdi Dogguy <mehdi@debian.org>  Wed, 26 Jun 2013 21:41:53 +0200

ocaml-zarith (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Make libzarith-ocaml-dev depend on libgmp3-dev. (Closes: #714088)
  * Fix outdated-autotools-helper-file config.guess
    * Add autotools-dev in Build-Depends
  * Bump Standards-Version to 3.9.4

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 25 Jun 2013 21:43:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,15 +8,16 @@
   ocaml-nox (>= 3.12.1),
   dh-ocaml (>= 0.9.1),
   libgmp3-dev,
+  autotools-dev,
   ocaml-findlib
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-zarith.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-zarith.git
 Homepage: https://forge.ocamlcore.org/projects/zarith/
 
 Package: libzarith-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}, libgmp3-dev
 Provides: ${ocaml:Provides}
 Suggests: ocaml-findlib
 Description: arithmetic and logical operations over arbitrary-precision integers (dev)

=== debian/rules ===
--- 
+++ 
@@ -17,12 +17,17 @@
 	$(MAKE) test
 	./test
 else
-	$(MAKE) test.b
-	CAML_LD_LIBRARY_PATH=$(CURDIR) ./test.b
+	$(MAKE) testb
+	CAML_LD_LIBRARY_PATH=$(CURDIR) ./testb
 endif
 endif
 
 override_dh_auto_configure:
+	for ext in guess; do \
+		if [ -f /usr/share/misc/config.$$ext ]; then \
+			cp -f /usr/share/misc/config.$$ext $(CURDIR)/config.$$ext; \
+		fi; \
+	done
 	./configure --installdir $(Z_INSTALL_DIR) \
                     --host $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

## ocaml-zarith 1.3

=== debian/changelog ===
ocaml-zarith (1.3-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.6, no changes required.

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 31 Jul 2015 19:00:28 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
   libgmp3-dev,
   autotools-dev,
   ocaml-findlib
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-zarith.git
 Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-zarith.git
 Homepage: https://forge.ocamlcore.org/projects/zarith/

## ocaml-zarith 1.4.1

=== debian/changelog ===
ocaml-zarith (1.4.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Vcs-*
  * Bump debhelper compat to 9

 -- Stéphane Glondu <glondu@debian.org>  Tue, 26 Jan 2016 14:51:07 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
-  debhelper (>= 8),
+  debhelper (>= 9),
   ocaml-nox (>= 3.12.1),
   dh-ocaml (>= 0.9.1),
   libgmp3-dev,
   autotools-dev,
   ocaml-findlib
 Standards-Version: 3.9.6
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-zarith.git
-Vcs-Git: git://git.debian.org/git/pkg-ocaml-maint/packages/ocaml-zarith.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-zarith.git
+Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/ocaml-zarith.git
 Homepage: https://forge.ocamlcore.org/projects/zarith/
 
 Package: libzarith-ocaml-dev

=== debian/watch ===
version=3
http://forge.ocamlcore.org/frs/?group_id=243 \
	/frs/download.php/.*/zarith-(.*).tgz

## ocaml-zarith 1.5

=== debian/changelog ===
ocaml-zarith (1.5-0ubuntu1) artful; urgency=medium

  * New upstream release
  * Drop patches, applied upstream
  * Update watch file to point at github

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Jul 2017 02:45:09 +0100

ocaml-zarith (1.4.1-2build1) artful; urgency=high

  * No change rebuild against ocaml 4.04.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 27 Jun 2017 13:37:40 +0100

ocaml-zarith (1.4.1-2) unstable; urgency=medium

  * Team upload
  * Build plugin with -linkall (Closes: #854787)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 22 Feb 2017 11:17:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ocaml-zarith
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
   debhelper (>= 9),

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?/)?release-(\d[\d.]*)\.tar\.gz%Zarith-$1.tar.gz%" \
    https://github.com/ocaml/Zarith/tags \
    (?:.*?/)?release-(\d[\d.]*)\.tar\.gz

## ocaml-zarith 1.7

=== debian/changelog ===
ocaml-zarith (1.7-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4, no changes required
  * Update Vcs-* fields

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 13:25:12 +0200

ocaml-zarith (1.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Switch upstream location to github
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Sep 2017 15:16:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: ocaml-zarith
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
   debhelper (>= 9),
@@ -11,10 +10,10 @@
   libgmp3-dev,
   autotools-dev,
   ocaml-findlib
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-ocaml-maint/packages/ocaml-zarith.git
-Vcs-Git: https://anonscm.debian.org/git/git/pkg-ocaml-maint/packages/ocaml-zarith.git
-Homepage: https://forge.ocamlcore.org/projects/zarith/
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-zarith
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-zarith.git
+Homepage: https://github.com/ocaml/Zarith
 
 Package: libzarith-ocaml-dev
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,7 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 ifeq ($(OCAML_HAVE_OCAMLOPT),yes)
-	$(MAKE) test
-	./test
-else
-	$(MAKE) testb
-	CAML_LD_LIBRARY_PATH=$(CURDIR) ./testb
+	$(MAKE) tests
 endif
 endif

## ocaml-zarith 1.8

=== debian/changelog ===
ocaml-zarith (1.8-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.4.0
  * Bump debhelper compat level to 12

 -- Stéphane Glondu <glondu@debian.org>  Sun, 04 Aug 2019 05:32:26 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
-  debhelper (>= 9),
+  debhelper (>= 12),
   ocaml-nox (>= 3.12.1),
   dh-ocaml (>= 0.9.1),
   libgmp3-dev,
   autotools-dev,
   ocaml-findlib
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-zarith
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-zarith.git
 Homepage: https://github.com/ocaml/Zarith

## ocaml-zarith 1.9.1

=== tests/Makefile ===
WORDSIZE:=$(shell echo 'print_int Sys.word_size' | ocaml -stdin)
STDLIBDIR:=$(shell ocamlc -where)
ifeq ($(wildcard $(STDLIBDIR)/big_int.cmi),)
HAS_NUM=false
NUMS_CMA=
NUMS_CMXA=
else
HAS_NUM=true
NUMS_CMA=nums.cma
NUMS_CMXA=nums.cmxa
endif

test:: zq.exe
	@echo "Testing zq (native)..."
	@if ./zq.exe | cmp -s zq.output$(WORDSIZE) - ; then echo "zq: passed"; else echo "zq: FAILED"; exit 2; fi

test:: zq.byt
	@echo "Testing zq (bytecode)..."
	@if ocamlrun -I .. ./zq.byt | cmp -s zq.output$(WORDSIZE) - ; then echo "zq: passed"; else echo "zq: FAILED"; exit 2; fi

ifeq ($(HAS_NUM),true)
test:: bi.exe
	@echo "Testing bi..."
	@if ./bi.exe; then echo "bi: passed"; else echo "bi: FAILED"; exit 2; fi
endif

test:: pi.exe
	@echo "Testing pi..."
	@if ./pi.exe 500 | cmp -s pi.output - ; then echo "pi: passed"; else echo "pi: FAILED"; exit 2; fi

test:: tofloat.exe
	@echo "Testing tofloat..."
	@./tofloat.exe

test:: ofstring.exe
	@echo "Testing ofstring..."
	@./ofstring.exe

ifeq ($(HAS_NUM),true)
bench:: fib.exe
	@for k in int natint Z bigint num; do echo "Benchmarking fib $$k"; time ./fib.exe $$k 45 > /dev/null; done
endif

bench:: fact.exe
	@echo "Benchmarking fact 10"; time ./fact.exe 10 100000000 > /dev/null
	@echo "Benchmarking fact 40"; time ./fact.exe 40 10000000 > /dev/null
	@echo "Benchmarking fact 200"; time ./fact.exe 200 1000000 > /dev/null

ifeq ($(HAS_NUM),true)
bench:: tak.exe
	@for k in int natint Z bigint num; do echo "Benchmarking tak $$k"; time ./tak.exe $$k 5000 > /dev/null; done
endif

bench:: pi.exe
	@echo "Benchmarking pi"; time ./pi.exe 10000 > /dev/null

tofloat.exe: tofloat.ml setround.o ../zarith.cmxa
	ocamlopt -I .. -ccopt "-L.." zarith.cmxa -o tofloat.exe \
           setround.o tofloat.ml

%.exe: %.ml ../zarith.cmxa
	ocamlopt -I .. -ccopt "-L.." zarith.cmxa $(NUMS_CMXA) -o $*.exe $*.ml
%.byt: %.ml ../zarith.cma
	ocamlc -I .. -ccopt "-L.." zarith.cma $(NUMS_CMA) -o $*.byt $*.ml
%.o: %.c
	ocamlc -c $*.c

clean:
	rm -f *.cm[iox] *.o *.exe *.byt

=== debian/changelog ===
ocaml-zarith (1.9.1-1build1) focal; urgency=medium

  * No change rebuild against new ocaml ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Feb 2020 01:33:23 +0000

ocaml-zarith (1.9.1-1) unstable; urgency=medium

  * New upstream release
  * Add myself to uploaders
  * Bump Standards-Version to 4.4.1
  * Build-depend on debhelper-compat
  * Add Rules-Requires-Root: no

 -- Stéphane Glondu <glondu@debian.org>  Mon, 20 Jan 2020 10:45:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: ocaml-zarith
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Mehdi Dogguy <mehdi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Uploaders:
+ Stéphane Glondu <glondu@debian.org>,
+ Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
-  debhelper (>= 12),
+  debhelper-compat (= 12),
   ocaml-nox (>= 3.12.1),
   dh-ocaml (>= 0.9.1),
   libgmp3-dev,
-  autotools-dev,
   ocaml-findlib
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-zarith
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-zarith.git
 Homepage: https://github.com/ocaml/Zarith
@@ -54,4 +57,3 @@
  unboxed integers, for speed and space economy.
  .
  This package provides the ocamldoc generated html files.
-

=== debian/rules ===
--- 
+++ 
@@ -28,4 +28,7 @@
                     --host $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ --with ocaml
+	dh $@ --with ocaml --no-parallel
+
+override_dh_missing:
+	dh_missing --fail-missing

## ocaml-zarith 1.11

=== debian/changelog ===
ocaml-zarith (1.11-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.1
  * libzarith-ocaml-doc: Add Multi-Arch: foreign

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Dec 2020 10:36:35 +0100

ocaml-zarith (1.10-1) unstable; urgency=medium

  * New upstream release
  * Bump debhelper compat level to 13
  * Bump Standards-Version to 4.5.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 21 Sep 2020 18:58:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: ocaml-zarith
 Section: ocaml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
-  debhelper-compat (= 12),
+  debhelper-compat (= 13),
   ocaml-nox (>= 3.12.1),
   dh-ocaml (>= 0.9.1),
   libgmp3-dev,
   ocaml-findlib
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-zarith
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-zarith.git
@@ -50,6 +49,7 @@
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: libzarith-ocaml-dev
+Multi-Arch: foreign
 Description: arithmetic and logical operations over arbitrary-precision integers (doc)
  The Zarith library implements arithmetic and logical operations over
  arbitrary-precision integers. It uses GMP to efficiently implement

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,3 @@
 
 %:
 	dh $@ --with ocaml --no-parallel
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/watch ===
version=3
https://github.com/ocaml/Zarith/releases .*/release-(.*)\.tar\.gz

## ocaml-zarith 1.12

=== tests/Makefile ===
--- 
+++ 
@@ -36,20 +36,8 @@
 	@echo "Testing ofstring..."
 	@./ofstring.exe
 
-ifeq ($(HAS_NUM),true)
-bench:: fib.exe
-	@for k in int natint Z bigint num; do echo "Benchmarking fib $$k"; time ./fib.exe $$k 45 > /dev/null; done
-endif
-
-bench:: fact.exe
-	@echo "Benchmarking fact 10"; time ./fact.exe 10 100000000 > /dev/null
-	@echo "Benchmarking fact 40"; time ./fact.exe 40 10000000 > /dev/null
-	@echo "Benchmarking fact 200"; time ./fact.exe 200 1000000 > /dev/null
-
-ifeq ($(HAS_NUM),true)
-bench:: tak.exe
-	@for k in int natint Z bigint num; do echo "Benchmarking tak $$k"; time ./tak.exe $$k 5000 > /dev/null; done
-endif
+bench:: timings.exe
+	./timings.exe
 
 bench:: pi.exe
 	@echo "Benchmarking pi"; time ./pi.exe 10000 > /dev/null

=== debian/changelog ===
ocaml-zarith (1.12-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0
  * Bump debian/watch format version to 4

 -- Stéphane Glondu <glondu@debian.org>  Fri, 19 Nov 2021 08:54:04 +0100

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
   debhelper-compat (= 13),
-  ocaml-nox (>= 3.12.1),
-  dh-ocaml (>= 0.9.1),
+  ocaml-nox,
+  dh-ocaml,
   libgmp3-dev,
   ocaml-findlib
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-zarith
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-zarith.git

=== debian/watch ===
version=4
https://github.com/ocaml/Zarith/releases .*/release-(.*)\.tar\.gz

## ocaml-zarith 1.13

=== tests/Makefile ===
--- 
+++ 
@@ -36,11 +36,19 @@
 	@echo "Testing ofstring..."
 	@./ofstring.exe
 
+test:: chi2.exe
+	@echo "Testing random number generation..."
+	@./chi2.exe
+
 bench:: timings.exe
 	./timings.exe
 
 bench:: pi.exe
 	@echo "Benchmarking pi"; time ./pi.exe 10000 > /dev/null
+
+test:: tst_extract.exe
+	@echo "Testing extract..."
+	@if ./tst_extract.exe; then echo "tst_extract: passed"; else echo "tst_extract: FAILED"; exit 2; fi
 
 tofloat.exe: tofloat.ml setround.o ../zarith.cmxa
 	ocamlopt -I .. -ccopt "-L.." zarith.cmxa -o tofloat.exe \

=== debian/changelog ===
ocaml-zarith (1.13-2build4) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 11:49:35 +0200

ocaml-zarith (1.13-2build3) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 20:42:56 +0100

ocaml-zarith (1.13-2build2) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 15 Nov 2023 13:39:24 +0100

ocaml-zarith (1.13-2build1) noble; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 02 Nov 2023 10:17:02 +0100

ocaml-zarith (1.13-2) unstable; urgency=medium

  * Depend on ocaml instead of transitional ocaml-nox

 -- Stéphane Glondu <glondu@debian.org>  Wed, 13 Sep 2023 06:19:37 +0200

ocaml-zarith (1.13-1) unstable; urgency=medium

  [ Stéphane Glondu ]
  * New upstream release
  * Bump Standards-Version to 4.6.2
  * Update debian/watch

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository-Browse

 -- Stéphane Glondu <glondu@debian.org>  Sat, 22 Jul 2023 09:20:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: ocaml-zarith
 Section: ocaml
 Priority: optional
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
  Stéphane Glondu <glondu@debian.org>,
  Mehdi Dogguy <mehdi@debian.org>
 Build-Depends:
   debhelper-compat (= 13),
-  ocaml-nox,
+  ocaml,
   dh-ocaml,
   libgmp3-dev,
   ocaml-findlib
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-zarith
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-zarith.git

## ocaml-zarith 1.14

=== tests/Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 test:: chi2.exe
 	@echo "Testing random number generation..."
-	@./chi2.exe
+	@if ./chi2.exe; then echo "chi2: passed"; else echo "chi2: FAILED"; exit 2; fi
 
 bench:: timings.exe
 	./timings.exe
@@ -49,6 +49,14 @@
 test:: tst_extract.exe
 	@echo "Testing extract..."
 	@if ./tst_extract.exe; then echo "tst_extract: passed"; else echo "tst_extract: FAILED"; exit 2; fi
+
+test:: intern.exe
+	@echo "Testing unmarshaling..."
+	@if ./intern.exe extern.data32 | cmp -s intern.output32$(WORDSIZE) -; then echo "intern 32: passed"; else echo "intern 32: failed"; exit 2; fi
+	@if ./intern.exe extern.data64 | cmp -s intern.output64$(WORDSIZE) -; then echo "intern 64: passed"; else echo "intern 64: failed"; exit 2; fi
+
+extern.data$(WORDSIZE): extern.exe
+	./extern.exe extern.data$(WORDSIZE)
 
 tofloat.exe: tofloat.ml setround.o ../zarith.cmxa
 	ocamlopt -I .. -ccopt "-L.." zarith.cmxa -o tofloat.exe \

=== debian/changelog ===
ocaml-zarith (1.14-1build2) questing; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 16 Jun 2025 15:04:58 +0200

ocaml-zarith (1.14-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 29 Jan 2025 10:00:22 +0100

ocaml-zarith (1.14-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Mon, 19 Aug 2024 09:50:43 +0200

ocaml-zarith (1.13-3) unstable; urgency=medium

  * Add support for a different OCaml stdlib dir

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 05:12:45 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,7 @@
 			cp -f /usr/share/misc/config.$$ext $(CURDIR)/config.$$ext; \
 		fi; \
 	done
-	./configure --installdir $(Z_INSTALL_DIR) \
-                    --host $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+	./configure --installdir $(Z_INSTALL_DIR)
 
 %:
 	dh $@ --with ocaml --no-parallel
